Updating list of SI on a network policy doesn't work if the chain has a transparent SI

Bug #1509063 reported by Nachi Ueno on 2015-10-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R2.20
Medium
Sachin Bansal
Trunk
Medium
Sachin Bansal

Bug Description

Updating list of SI on a network policy doesn't work

Nachi Ueno (nati-ueno) on 2015-10-22
Changed in juniperopenstack:
milestone: none → r2.22
Nischal Sheth (nsheth) on 2015-10-22
Changed in juniperopenstack:
importance: Undecided → Medium
assignee: nobody → Sachin Bansal (sbansal)
tags: added: config service-chain
information type: Proprietary → Public

Review in progress for https://review.opencontrail.org/14610
Submitter: Sachin Bansal (<email address hidden>)

Sachin Bansal (sbansal) on 2015-10-23
summary: - Updateing list of SI on a network policy don't work for R2.20
+ Updating list of SI on a network policy doesn't work
description: updated

Review in progress for https://review.opencontrail.org/14625
Submitter: Sachin Bansal (<email address hidden>)

Reviewed: https://review.opencontrail.org/14610
Committed: http://github.org/Juniper/contrail-controller/commit/2ece2003024b4a3919eac4453a38faf8aa4e2f4a
Submitter: Zuul
Branch: R2.20

commit 2ece2003024b4a3919eac4453a38faf8aa4e2f4a
Author: Sachin Bansal <email address hidden>
Date: Thu Oct 22 13:49:28 2015 -0700

Read the VMi object before adding pbf rules

It is possible that vmi->RI links have changed. If we don't refresh, we may not
add the pbf rule if it is already present in the stale copy.

Change-Id: Ia72436aff6abdf654f05a5ec7e50ba06bb887dc3
Closes-Bug: 1509063

Review in progress for https://review.opencontrail.org/14625
Submitter: Sachin Bansal (<email address hidden>)

Reviewed: https://review.opencontrail.org/14625
Committed: http://github.org/Juniper/contrail-controller/commit/051e70dd538adfde033fbc355bd24adc4595fcf5
Submitter: Zuul
Branch: master

commit 051e70dd538adfde033fbc355bd24adc4595fcf5
Author: Sachin Bansal <email address hidden>
Date: Fri Oct 23 15:53:35 2015 -0700

Keep track of ri refs on vmi and update accordingly

Schema transformer needs to keep track of routing instance refs from virtual
machine interfaces and update the links appropriately in api server. In 2.20, we
always refresh vmi object before updating pbf rules. In mainline, we are adding
code to keep track of these references to avoid unnecessary calls to api server.

Change-Id: I5df1a16de477828e600df3f93f1589266d50ebfd
Closes-Bug: 1509063

Sachin Bansal (sbansal) on 2015-10-26
summary: - Updating list of SI on a network policy doesn't work
+ Updating list of SI on a network policy doesn't work if the chain has a
+ transparent SI

Review in progress for https://review.opencontrail.org/14823
Submitter: Sachin Bansal (<email address hidden>)

Reviewed: https://review.opencontrail.org/14823
Committed: http://github.org/Juniper/contrail-controller/commit/37cfa188a6c73c8342ded10bae3c82602f26b4c4
Submitter: Zuul
Branch: master

commit 37cfa188a6c73c8342ded10bae3c82602f26b4c4
Author: Sachin Bansal <email address hidden>
Date: Tue Nov 3 09:40:14 2015 -0800

Add test case for modification for service list

Change-Id: I756a048659273d93f2d65215121a063f9d9143a2
Related-Bug: 1509063

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers